Skip to main content
`Ctrl`+`K`

# TSAdaptHistorySetTrajectory

Sets a time history in the adaptor from a given `TSTrajectory`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptHistorySetTrajectory(TSAdapt adapt, TSTrajectory tj, PetscBool backward)

Logically Collective

## Input Parameters

- adapt - the `TSAdapt` context

- tj - the `TSTrajectory` context

- backward - if the time history has to be followed backward

## Notes

The time history is internally copied, and the user can destroy the `TSTrajectory` if not needed.

The user still needs to specify the termination of the solve via `TSSetMaxSteps()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TSGetAdapt()`, `TSAdaptSetType()`, `TSAdaptHistorySetHistory()`, `TSADAPTHISTORY`, `TSAdapt`

## Level

advanced

## Location

src/ts/adapt/impls/history/adapthist.c

## Examples

src/ts/tutorials/ex40.c
src/ts/tutorials/ex41.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages